#
# spec file
#
# Copyright (c) 2021 SUSE LLC
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%global flavor %{nil}
%if "%{flavor}" == "test"
%define psuffix -test
%bcond_without test
%else
%define psuffix %{nil}
%bcond_with test
%endif
Name:           python-zope.hookable%{psuffix}
Version:        5.1.0
Release:        bp156.3.3
Summary:        Zope hookable
License:        ZPL-2.1
URL:            https://www.python.org/pypi/zope.hookable
Source:         https://files.pythonhosted.org/packages/source/z/zope.hookable/zope.hookable-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION documentation requirements
BuildRequires:  %{python_module Sphinx}
# /SECTION
# SECTION testing requirements
%if %{with test}
BuildRequires:  %{python_module zope.hookable}
BuildRequires:  %{python_module zope.testing}
%endif
# /SECTION
%python_subpackages

%description
Hookable object support.

Support the efficient creation of hookable objects, which are callable objects
that are meant to be replaced by other callables, at least optionally.

The idea is you create a function that does some default thing and make it
hookable. Later, someone can modify what it does by calling its sethook method
and changing its implementation. All users of the function, including those
that imported it, will see the change.

%package     -n %{name}-doc
Summary:        Zope hookable
Provides:       %{python_module zope.hookable-doc = %{version}}

%description -n %{name}-doc
This package contains documentation files for %{name}.

%prep
%setup -q -n zope.hookable-%{version}
rm -rf zope.hookable.egg-info

%build
%if !%{with test}
%python_build
python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo build/sphinx/html/objects.inv
%endif

%install
%if !%{with test}
%python_install
%{python_expand rm -f %{buildroot}%{$python_sitearch}/zope/hookable/_zope_hookable.c
  %fdupes %{buildroot}%{$python_sitearch}
}
%endif

%check
%if %{with test}
pushd src
%pyunittest 'zope.hookable.tests.test_hookable.test_suite'
%endif

%if !%{with test}
%files %{python_files}
%license LICENSE.txt
%doc CHANGES.rst COPYRIGHT.txt README.rst
%{python_sitearch}/*
%endif

%if !%{with test}
%files -n %{name}-doc
%doc build/sphinx/html/
%endif

%changelog
* Wed Oct 13 2021 pgajdos@suse.com
- update to version 5.1.0
  - Add support for Python 3.9.
  - Create Linux aarch64 wheels.
* Wed Oct 13 2021 pgajdos@suse.com
- %%check: use %%pyunittest rpm macro
- added sources
  + _multibuild
* Wed Apr  8 2020 Tomáš Chvátal <tchvatal@suse.com>
- Do not pull in py2 package in doc subpkg
* Mon Mar 16 2020 pgajdos@suse.com
- version update to 5.0.1
  - Stop using the setuptools ``Feature`` class, allowing this
    project to be built from source with newer versions of setuptools
    that remove that functionality.
* Tue Jan 21 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to version 5.0.0
  * Add support for Python 3.7 and 3.8.
  * Drop support for Python 3.4.
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Fri Apr  5 2019 Marketa Calabkova <mcalabkova@suse.com>
- update to version 4.2.0
  * Add support for Python 3.5 and 3.6.
  * Drop support for Python 2.6, 3.2 and 3.3.
  * Expose the __doc__ (and, where applicable, __bases__ and __dict__)
    of the hooked object. This lets Sphinx document them.
  * Respect PURE_PYTHON at runtime.
* Sat Jul  8 2017 aloisio@gmx.com
- Converted to single-spec
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.0.4:
  * Added support for Python 3.4.
- additional changes from version 4.0.3:
  * Updated boostrap.py to version 2.2.
  * Fixed extension compilation on Py3k.
- additional changes from version 4.0.2:
  * Fleshed out PyPI Trove classifiers.
- point the source URL to pypi
- rename CHANGES.txt to CHANGES.rst: changed upstream
- rename README.txt to README.rst: changed upstream
* Mon Jul 29 2013 hpj@urpla.net
- version 4.0.1: initial build
